Subject: Re: pmtu discovery on sa esp

From: Patrick McHardy <[email-masked]>
Date: Wed, 13 Jun 2007 14:50:34 +0200

Marco Berizzi wrote:
> Patrick McHardy wrote:
> 
>>We have some MTU opimiztations in 2.6.22-rc that might be related.
>>Please check with tcpdump what exactly is happening and whether
>>the 2.6.22-rc box is sending too large packets.
> 
> 
> I have done a tcpdump capture on the external
> interface but I don't see anything strange.

Try dumping on loopback as well.

> (I can send to you the capture if you want/need)
> I have noticed that the mtu on the aes tunnels
> now is equal to 1450 byte (with 2.6.21 it was
> 1428). Let me explain:
> 
> linux 2.6.22-rc4 ->>-AES tunnel ->>- linux 2.6.21 mtu=1450
> linux 2.6.21 ->>-AES tunnel ->>- linux 2.6.22-rc4 mtu=1428
> 
> Now as a collateral effects all the windoze boxes
> aren't able to exchange large packets: I must
> upgrade all ipsec gateway to 2.6.22-rc4 (or
> downgrade this box to 2.6.21 again). Hints?

The question is whether 1450 is correct. Could you send me the
output of "ip x s" (obfuscate keys if you want) and "ip x p"?
What is the MTU of the underlying device? Do the encapsulated
packets still fit?

BTW, are you just using pluto or the entire openswan patch?